﻿namespace CoreLibrary.Evenements
{
    /// <summary>
    /// Classe contenant les arguments passés en paramètres lors de l'événement JoueurSeConnecter.
    /// </summary>
    public class JoueurSeConnecterEventArgs : EventArgs
    {
        /// <summary>
        /// Nom du joueur se connectant.
        /// </summary>
        public string Nom { get; private init; }

        /// <summary>
        /// Constructeur de JoueurSeConnecterEventArgs.
        /// </summary>
        /// <param name="nom">Nom du joueur qui se connecte.</param>
        public JoueurSeConnecterEventArgs(string nom)
        {
            Nom = nom;
        }
    }
}
