﻿using System.Runtime.Serialization;

namespace CoreLibrary.Regles
{
    /// <summary>
    /// Classe pour les règles classiques, implémente IRegles.
    /// </summary>
    [DataContract]
    public class ReglesClassiques : IRegles
    {
        /// <summary>
        /// Chaîne de caractères pour le nom des règles classiques.
        /// </summary>
        public string Nom => "Règles classiques";

        /// <summary>
        /// Nombre de joueurs autorisé pour les règles classiques.
        /// </summary>
        public int NbJoueurs => 2;

        /// <summary>
        /// Nombre de tour maximum pour des règles classiques.
        /// </summary>
        public int NbTour => 12;

        /// <summary>
        /// Taille du code maximale pour des règles classiques.
        /// </summary>
        public int TailleCode => 4;
    }
}
