using CoreLibrary;
using CoreLibrary.Regles;

namespace MauiSpark.Pages;

/// <summary>
/// Page de slection des modes de jeux.
/// </summary>
public partial class ModePage : ContentPage
{
    /// <summary>
    /// Constructeur de la page mode.
    /// Initialise les paramtres de navigation et les composants de la page.
    /// </summary>
    public ModePage()
	{
        NavigationPage.SetHasNavigationBar(this, false);

        InitializeComponent();
	}

    /// <summary>
    /// Mthode dclenche lorsque le bouton des rgles est press.
    /// Cre une nouvelle partie selon les rgles slectionnes et dmarre le jeu.
    /// </summary>
    /// <param name="sender">L'objet qui appelle l'vnement ; ici le bouton des rgles.</param>
    /// <param name="e">L'instance de l'vnement EventArgs cre par le systme.</param>
    private void QuandReglesPresse(Object sender, EventArgs e)
	{
        Partie partie;

        if (sender.Equals(ReglesClassiques))
            partie = MauiProgram.Manageur.NouvellePartie(new ReglesClassiques());
        else
            return;

        partie.PartieDemanderJoueur += new ConnexionPage().QuandDemanderNom;
        partie.PartieNouveauTour += new PlateauPage().QuandNouveauTour;
        partie.PartiePartieTerminee += new VictoirePage().QuandPartieTerminee;

        partie.Jouer();
    }
}